# Модуль обслуживания маркированных товаров.
#
tobacco: {
  params : {
    kizTemplates = [
      # ФФД 1.2
      # группа 1 - код товара (не GTIN)
      # группа 2 - серийный номер (Serial)
      # группа 3 - МРЦ для пачки, пакета в 80 системе
      # группа 4 - идентификатор ключа проверки/группа МРЦ (не используется)
      # группа 5 - МРЦ блока, упаковки в строковом виде
      # группа 6 - Криптохвост
      # группа 7 - Весовая группа в марке (не используется)
      # группа 8 - Вес в марке (Молочная продукция без срока годности в марке)
      {num = 1,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([0-9]{13})21(.{6}|.{8})\\x{001d}93()()()(.{4})\\x{001d}{0,1}(3103([0-9]{6})){0,1}.*"}                # КТ GS1.М: Молочная продукция c и без веса в марке, но без срока годности
      {num = 2,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([0-9]{13})21(.{7})\\x{001d}93()()()(.{4}).*"}                                                        # КТ GS1.М: Разливное пиво в кегах без веса
      {num = 3,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}draftBeer010{1}([0-9]{13})21(.{7})\\x{001d}93()()()(.{4})(3353([0-9]{6})){0,1}.*"}                          # КТ GS1.М: Разливное пиво с весом
      {num = 4,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([0-9]{13})21(.{13})\\x{001d}91()(.{4})\\x{001d}92()(.{44}|.{88}).*"}                                 # КТ GS1.M: Лекарства, Легкая промышленность, Духи, Шины и Обувь
      {num = 5,  template = "^0{1}([2-9]{1}[0-9]{12})(.{7})(.{4}){0,1}()()(.{4}).*"}                                                                                  # КТ КМК EAN-13: Табак пачки, пакеты
      {num = 6,  template = "^0{6}([2-9]{1}[0-9]{7})(.{7})(.{4}){0,1}()()(.{4}).*"}                                                                                   # КТ КМК EAN-8: Табак пачки, пакеты
      {num = 7,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([2-9]{1}[0-9]{12})21(.{7})()[\\x{001d}](8005([0-9]{6})){0,1}\\x{001d}{0,1}(?:93){0,1}(.{4}){0,1}.*"} # КТ GS1 EAN-13: Табак блок, упаковка
      {num = 8,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{6}([2-9]{1}[0-9]{7})21(.{7})()[\\x{001d}](8005([0-9]{6})){0,1}\\x{001d}{0,1}(?:93){0,1}(.{4}){0,1}.*"}  # КТ GS1 EAN-8: Табак блок, упаковка
      {num = 9,  template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([0-9]{13})21(.{13})\\x{001d}93()()()(.{4}).*"}                                                       # КТ GS1.М: Вода
      {num = 10, template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([0-9]{13})21(.{20})\\x{001d}91()(.{4})\\x{001d}92()(.{44}).*"}                                       # КТ GS1.M: Фотоаппараты
      {num = 11, template = "^\\x{0000}{0,1}\\x{0020}{0,2}010{1}([0-9]{13})21(.{14})\\x{001d}91()(.{4})\\x{001d}92()(.{88}).*"}                                       # КТ GS1.M: Тестовый КИЗ с положительной проверкой в ОИСМ
    ]
    addBeginToRegExp = true
  }
}